export { AsymmetricCiphertextArgs, AsymmetricCiphertextState } from "./asymmetricCiphertext";
export type AsymmetricCiphertext = import("./asymmetricCiphertext").AsymmetricCiphertext;
export declare const AsymmetricCiphertext: typeof import("./asymmetricCiphertext").AsymmetricCiphertext;
export { AsymmetricCiphertextsArgs, AsymmetricCiphertextsResult, AsymmetricCiphertextsOutputArgs } from "./asymmetricCiphertexts";
export declare const asymmetricCiphertexts: typeof import("./asymmetricCiphertexts").asymmetricCiphertexts;
export declare const asymmetricCiphertextsOutput: typeof import("./asymmetricCiphertexts").asymmetricCiphertextsOutput;
export { AsymmetricPlaintextsArgs, AsymmetricPlaintextsResult, AsymmetricPlaintextsOutputArgs } from "./asymmetricPlaintexts";
export declare const asymmetricPlaintexts: typeof import("./asymmetricPlaintexts").asymmetricPlaintexts;
export declare const asymmetricPlaintextsOutput: typeof import("./asymmetricPlaintexts").asymmetricPlaintextsOutput;
export { AsymmetricSignatureArgs, AsymmetricSignatureState } from "./asymmetricSignature";
export type AsymmetricSignature = import("./asymmetricSignature").AsymmetricSignature;
export declare const AsymmetricSignature: typeof import("./asymmetricSignature").AsymmetricSignature;
export { AsymmetricSignaturesArgs, AsymmetricSignaturesResult, AsymmetricSignaturesOutputArgs } from "./asymmetricSignatures";
export declare const asymmetricSignatures: typeof import("./asymmetricSignatures").asymmetricSignatures;
export declare const asymmetricSignaturesOutput: typeof import("./asymmetricSignatures").asymmetricSignaturesOutput;
export { AsymmetricVerificationsArgs, AsymmetricVerificationsResult, AsymmetricVerificationsOutputArgs } from "./asymmetricVerifications";
export declare const asymmetricVerifications: typeof import("./asymmetricVerifications").asymmetricVerifications;
export declare const asymmetricVerificationsOutput: typeof import("./asymmetricVerifications").asymmetricVerificationsOutput;
export { CancelKeyDeletionArgs, CancelKeyDeletionState } from "./cancelKeyDeletion";
export type CancelKeyDeletion = import("./cancelKeyDeletion").CancelKeyDeletion;
export declare const CancelKeyDeletion: typeof import("./cancelKeyDeletion").CancelKeyDeletion;
export { CancelSecretDeletionArgs, CancelSecretDeletionState } from "./cancelSecretDeletion";
export type CancelSecretDeletion = import("./cancelSecretDeletion").CancelSecretDeletion;
export declare const CancelSecretDeletion: typeof import("./cancelSecretDeletion").CancelSecretDeletion;
export { CiphertextArgs, CiphertextState } from "./ciphertext";
export type Ciphertext = import("./ciphertext").Ciphertext;
export declare const Ciphertext: typeof import("./ciphertext").Ciphertext;
export { CiphertextsArgs, CiphertextsResult, CiphertextsOutputArgs } from "./ciphertexts";
export declare const ciphertexts: typeof import("./ciphertexts").ciphertexts;
export declare const ciphertextsOutput: typeof import("./ciphertexts").ciphertextsOutput;
export { DataKeysArgs, DataKeysResult, DataKeysOutputArgs } from "./dataKeys";
export declare const dataKeys: typeof import("./dataKeys").dataKeys;
export declare const dataKeysOutput: typeof import("./dataKeys").dataKeysOutput;
export { GetAsymmetricCiphertextsArgs, GetAsymmetricCiphertextsResult, GetAsymmetricCiphertextsOutputArgs } from "./getAsymmetricCiphertexts";
export declare const getAsymmetricCiphertexts: typeof import("./getAsymmetricCiphertexts").getAsymmetricCiphertexts;
export declare const getAsymmetricCiphertextsOutput: typeof import("./getAsymmetricCiphertexts").getAsymmetricCiphertextsOutput;
export { GetAsymmetricPlaintextsArgs, GetAsymmetricPlaintextsResult, GetAsymmetricPlaintextsOutputArgs } from "./getAsymmetricPlaintexts";
export declare const getAsymmetricPlaintexts: typeof import("./getAsymmetricPlaintexts").getAsymmetricPlaintexts;
export declare const getAsymmetricPlaintextsOutput: typeof import("./getAsymmetricPlaintexts").getAsymmetricPlaintextsOutput;
export { GetAsymmetricSignaturesArgs, GetAsymmetricSignaturesResult, GetAsymmetricSignaturesOutputArgs } from "./getAsymmetricSignatures";
export declare const getAsymmetricSignatures: typeof import("./getAsymmetricSignatures").getAsymmetricSignatures;
export declare const getAsymmetricSignaturesOutput: typeof import("./getAsymmetricSignatures").getAsymmetricSignaturesOutput;
export { GetAsymmetricVerificationsArgs, GetAsymmetricVerificationsResult, GetAsymmetricVerificationsOutputArgs } from "./getAsymmetricVerifications";
export declare const getAsymmetricVerifications: typeof import("./getAsymmetricVerifications").getAsymmetricVerifications;
export declare const getAsymmetricVerificationsOutput: typeof import("./getAsymmetricVerifications").getAsymmetricVerificationsOutput;
export { GetCiphertextsArgs, GetCiphertextsResult, GetCiphertextsOutputArgs } from "./getCiphertexts";
export declare const getCiphertexts: typeof import("./getCiphertexts").getCiphertexts;
export declare const getCiphertextsOutput: typeof import("./getCiphertexts").getCiphertextsOutput;
export { GetDataKeysArgs, GetDataKeysResult, GetDataKeysOutputArgs } from "./getDataKeys";
export declare const getDataKeys: typeof import("./getDataKeys").getDataKeys;
export declare const getDataKeysOutput: typeof import("./getDataKeys").getDataKeysOutput;
export { GetKeyMaterialsArgs, GetKeyMaterialsResult, GetKeyMaterialsOutputArgs } from "./getKeyMaterials";
export declare const getKeyMaterials: typeof import("./getKeyMaterials").getKeyMaterials;
export declare const getKeyMaterialsOutput: typeof import("./getKeyMaterials").getKeyMaterialsOutput;
export { GetKeyringsArgs, GetKeyringsResult, GetKeyringsOutputArgs } from "./getKeyrings";
export declare const getKeyrings: typeof import("./getKeyrings").getKeyrings;
export declare const getKeyringsOutput: typeof import("./getKeyrings").getKeyringsOutput;
export { GetKeysArgs, GetKeysResult, GetKeysOutputArgs } from "./getKeys";
export declare const getKeys: typeof import("./getKeys").getKeys;
export declare const getKeysOutput: typeof import("./getKeys").getKeysOutput;
export { GetMacVerificationsArgs, GetMacVerificationsResult, GetMacVerificationsOutputArgs } from "./getMacVerifications";
export declare const getMacVerifications: typeof import("./getMacVerifications").getMacVerifications;
export declare const getMacVerificationsOutput: typeof import("./getMacVerifications").getMacVerificationsOutput;
export { GetMacsArgs, GetMacsResult, GetMacsOutputArgs } from "./getMacs";
export declare const getMacs: typeof import("./getMacs").getMacs;
export declare const getMacsOutput: typeof import("./getMacs").getMacsOutput;
export { GetPlaintextsArgs, GetPlaintextsResult, GetPlaintextsOutputArgs } from "./getPlaintexts";
export declare const getPlaintexts: typeof import("./getPlaintexts").getPlaintexts;
export declare const getPlaintextsOutput: typeof import("./getPlaintexts").getPlaintextsOutput;
export { GetPublicKeysArgs, GetPublicKeysResult, GetPublicKeysOutputArgs } from "./getPublicKeys";
export declare const getPublicKeys: typeof import("./getPublicKeys").getPublicKeys;
export declare const getPublicKeysOutput: typeof import("./getPublicKeys").getPublicKeysOutput;
export { GetReEncryptsArgs, GetReEncryptsResult, GetReEncryptsOutputArgs } from "./getReEncrypts";
export declare const getReEncrypts: typeof import("./getReEncrypts").getReEncrypts;
export declare const getReEncryptsOutput: typeof import("./getReEncrypts").getReEncryptsOutput;
export { GetRegionsArgs, GetRegionsResult, GetRegionsOutputArgs } from "./getRegions";
export declare const getRegions: typeof import("./getRegions").getRegions;
export declare const getRegionsOutput: typeof import("./getRegions").getRegionsOutput;
export { GetSecretVersionsArgs, GetSecretVersionsResult, GetSecretVersionsOutputArgs } from "./getSecretVersions";
export declare const getSecretVersions: typeof import("./getSecretVersions").getSecretVersions;
export declare const getSecretVersionsOutput: typeof import("./getSecretVersions").getSecretVersionsOutput;
export { GetSecretsArgs, GetSecretsResult, GetSecretsOutputArgs } from "./getSecrets";
export declare const getSecrets: typeof import("./getSecrets").getSecrets;
export declare const getSecretsOutput: typeof import("./getSecrets").getSecretsOutput;
export { KeyArgs, KeyState } from "./key";
export type Key = import("./key").Key;
export declare const Key: typeof import("./key").Key;
export { KeyArchiveArgs, KeyArchiveState } from "./keyArchive";
export type KeyArchive = import("./keyArchive").KeyArchive;
export declare const KeyArchive: typeof import("./keyArchive").KeyArchive;
export { KeyEnableArgs, KeyEnableState } from "./keyEnable";
export type KeyEnable = import("./keyEnable").KeyEnable;
export declare const KeyEnable: typeof import("./keyEnable").KeyEnable;
export { KeyMaterialArgs, KeyMaterialState } from "./keyMaterial";
export type KeyMaterial = import("./keyMaterial").KeyMaterial;
export declare const KeyMaterial: typeof import("./keyMaterial").KeyMaterial;
export { KeyMaterialsArgs, KeyMaterialsResult, KeyMaterialsOutputArgs } from "./keyMaterials";
export declare const keyMaterials: typeof import("./keyMaterials").keyMaterials;
export declare const keyMaterialsOutput: typeof import("./keyMaterials").keyMaterialsOutput;
export { KeyPrimaryRegionArgs, KeyPrimaryRegionState } from "./keyPrimaryRegion";
export type KeyPrimaryRegion = import("./keyPrimaryRegion").KeyPrimaryRegion;
export declare const KeyPrimaryRegion: typeof import("./keyPrimaryRegion").KeyPrimaryRegion;
export { KeyRotationArgs, KeyRotationState } from "./keyRotation";
export type KeyRotation = import("./keyRotation").KeyRotation;
export declare const KeyRotation: typeof import("./keyRotation").KeyRotation;
export { KeyringArgs, KeyringState } from "./keyring";
export type Keyring = import("./keyring").Keyring;
export declare const Keyring: typeof import("./keyring").Keyring;
export { KeyringsArgs, KeyringsResult, KeyringsOutputArgs } from "./keyrings";
export declare const keyrings: typeof import("./keyrings").keyrings;
export declare const keyringsOutput: typeof import("./keyrings").keyringsOutput;
export { KeysArgs, KeysResult, KeysOutputArgs } from "./keys";
export declare const keys: typeof import("./keys").keys;
export declare const keysOutput: typeof import("./keys").keysOutput;
export { MacVerificationsArgs, MacVerificationsResult, MacVerificationsOutputArgs } from "./macVerifications";
export declare const macVerifications: typeof import("./macVerifications").macVerifications;
export declare const macVerificationsOutput: typeof import("./macVerifications").macVerificationsOutput;
export { MacsArgs, MacsResult, MacsOutputArgs } from "./macs";
export declare const macs: typeof import("./macs").macs;
export declare const macsOutput: typeof import("./macs").macsOutput;
export { PlaintextsArgs, PlaintextsResult, PlaintextsOutputArgs } from "./plaintexts";
export declare const plaintexts: typeof import("./plaintexts").plaintexts;
export declare const plaintextsOutput: typeof import("./plaintexts").plaintextsOutput;
export { PublicKeysArgs, PublicKeysResult, PublicKeysOutputArgs } from "./publicKeys";
export declare const publicKeys: typeof import("./publicKeys").publicKeys;
export declare const publicKeysOutput: typeof import("./publicKeys").publicKeysOutput;
export { ReEncryptArgs, ReEncryptState } from "./reEncrypt";
export type ReEncrypt = import("./reEncrypt").ReEncrypt;
export declare const ReEncrypt: typeof import("./reEncrypt").ReEncrypt;
export { ReEncryptsArgs, ReEncryptsResult, ReEncryptsOutputArgs } from "./reEncrypts";
export declare const reEncrypts: typeof import("./reEncrypts").reEncrypts;
export declare const reEncryptsOutput: typeof import("./reEncrypts").reEncryptsOutput;
export { RegionsArgs, RegionsResult, RegionsOutputArgs } from "./regions";
export declare const regions: typeof import("./regions").regions;
export declare const regionsOutput: typeof import("./regions").regionsOutput;
export { ReplicateKeyArgs, ReplicateKeyState } from "./replicateKey";
export type ReplicateKey = import("./replicateKey").ReplicateKey;
export declare const ReplicateKey: typeof import("./replicateKey").ReplicateKey;
export { SecretArgs, SecretState } from "./secret";
export type Secret = import("./secret").Secret;
export declare const Secret: typeof import("./secret").Secret;
export { SecretBackupArgs, SecretBackupState } from "./secretBackup";
export type SecretBackup = import("./secretBackup").SecretBackup;
export declare const SecretBackup: typeof import("./secretBackup").SecretBackup;
export { SecretRestoreArgs, SecretRestoreState } from "./secretRestore";
export type SecretRestore = import("./secretRestore").SecretRestore;
export declare const SecretRestore: typeof import("./secretRestore").SecretRestore;
export { SecretRotateArgs, SecretRotateState } from "./secretRotate";
export type SecretRotate = import("./secretRotate").SecretRotate;
export declare const SecretRotate: typeof import("./secretRotate").SecretRotate;
export { SecretVersionsArgs, SecretVersionsResult, SecretVersionsOutputArgs } from "./secretVersions";
export declare const secretVersions: typeof import("./secretVersions").secretVersions;
export declare const secretVersionsOutput: typeof import("./secretVersions").secretVersionsOutput;
export { SecretsArgs, SecretsResult, SecretsOutputArgs } from "./secrets";
export declare const secrets: typeof import("./secrets").secrets;
export declare const secretsOutput: typeof import("./secrets").secretsOutput;
